function jam:physics_blocks/right_click_detect
function jam:activaters/check_stuff
function jam:physics_blocks/move_blocks
function jam:level/level_gate

#switch out item textures
execute as @a[predicate=jam:is_holding_carrot] if score @s Clicked matches 1 run item replace entity @s weapon.mainhand with minecraft:carrot_on_a_stick{Unbreakable:1,CustomModelData:2,display:{Name:'[{"text":"Hands","italic":false}]',Lore:['[{"text":"Can Pickup cubes with a ! mark","italic":false,"color":"gray"}]']},HideFlags:63}
execute as @a[predicate=jam:is_holding_carrot] if score @s Clicked matches 0 run item replace entity @s weapon.mainhand with minecraft:carrot_on_a_stick{Unbreakable:1,CustomModelData:1,display:{Name:'[{"text":"Hands","italic":false}]',Lore:['[{"text":"Can Pickup cubes with a ! mark","italic":false,"color":"gray"}]']},HideFlags:63}

#checkpoints
execute at @a as @e[type=minecraft:armor_stand,limit=1,tag=checkpoint_flag,sort=nearest] at @s if entity @p[distance=..3,tag=!admin] unless block ~ ~ ~ orange_glazed_terracotta run function jam:checkpoints/activate_checkpoint

#level reset
execute as @a at @s unless score @s Reset matches 0 run function jam:level/reset

#player ouchie
execute as @a at @s if block ~ ~ ~ minecraft:red_stained_glass_pane run function jam:level/kill_player
execute as @a at @s if block ~ ~ ~ minecraft:water run function jam:level/kill_player_water
#shulker lock


#shulker die
execute as @e[type=minecraft:shulker] at @s if block ~ ~ ~ minecraft:cave_vines_plant run kill @s
stopsound @a * minecraft:entity.shulker.death


#reset click
execute as @a if score @s Clicked matches 2.. run tag @e remove selected
execute as @a if score @s Clicked matches 2.. run scoreboard players set @s Clicked 0
execute as @a if score @s Clicked matches 0 run scoreboard players set #selected Clicked 0

#modify items
execute as @e[type=item] run data modify entity @s PickupDelay set value 0s

#make shulker solid
execute as @e[type=minecraft:shulker] at @s unless blocks ~-1 ~ ~-1 ~1 ~ ~1 ~ ~ ~ masked run tag @s add walkable
execute as @e[type=minecraft:shulker] at @s if blocks ~-1 ~ ~-1 ~1 ~ ~1 ~ ~ ~ masked run tag @s remove walkable

#detect shulker walking
#execute as @a at @s if block ~ ~-1 ~ minecraft:air if block ~ ~ ~ minecraft:air unless score @s Clicked matches 1 positioned ~ ~-1 ~ if entity @e[type=minecraft:shulker,tag=selected,tag=!walkable,distance=..0.99] run tag @e remove selected


execute as @a at @s positioned ~ ~-1 ~ if entity @e[type=minecraft:shulker,tag=selected,distance=..0.5] run function jam:physics_blocks/cancel_pickup
execute as @a at @s if score @s Clicked matches 1 positioned ~ ~-1 ~ if entity @e[type=minecraft:shulker,tag=!walkable,distance=..0.5] run function jam:physics_blocks/cancel_pickup
#execute as @a[predicate=jam:is_holding_carrot] at @s unless block ~ ~-1 ~ minecraft:air run title @a actionbar ["",{"text":"Can pickup blocks","italic":true,"color":"green"},{"text":" ✔","italic":true,"color":"green"}]
#execute as @a[predicate=jam:is_holding_carrot] at @s unless block ~ ~ ~ minecraft:air run title @a actionbar ["",{"text":"Can pickup blocks","italic":true,"color":"green"},{"text":" ✔","italic":true,"color":"green"}]
#execute as @a[predicate=jam:is_holding_carrot] at @s if block ~ ~-1 ~ minecraft:air if block ~ ~ ~ minecraft:air run title @a actionbar {"text":"Stand on a solid block to pickup objects","italic":true,"color":"red"}

#send to lobby
execute as @r unless score @s bool.is_new_player matches 1 run function jam:send_to_lobby

#player speed
execute as @a at @s run attribute @s minecraft:generic.movement_speed base set 0.11

#execute as @a at @s align xyz positioned ~0.5 ~-1 ~0.5 unless entity @e[type=minecraft:shulker,distance=0] if block ~ ~ ~ air run tp @s ~ ~ ~
#effect give Technodono minecraft:levitation 1000000 129 true

#effects n misc
bossbar set verticuloid:hintbar players @a
team join cubes @e[type=minecraft:shulker]
effect give @a minecraft:jump_boost 1000000 129 true
effect give @a minecraft:resistance 1000000 255 true
effect give @a minecraft:hunger 1000000 255 true
kill @e[type=minecraft:experience_orb]
execute as @a run attribute @s minecraft:generic.max_health base set 10
effect give @e[tag=selected] minecraft:glowing 1 0 true
effect clear @e[tag=!selected,type=shulker]
execute as @e[type=minecraft:painting] run data merge entity @s {Invulnerable:1b}

#Check for in Lazer Blocks
execute as @e[type=minecraft:shulker] at @s if block ~ ~ ~ minecraft:red_stained_glass_pane run function jam:physics_blocks/shulker_in_lazer
execute as @e[type=minecraft:marker,tag=glass] at @s if block ~ ~ ~ minecraft:air unless entity @e[type=minecraft:shulker,distance=..0.99] run function jam:physics_blocks/reset_panes
execute as @e[type=minecraft:marker,tag=glass] at @s if block ~ ~ ~ minecraft:red_stained_glass_pane if score @p Clicked matches 1 run setblock ~ ~ ~ air
execute as @e[type=minecraft:marker,tag=glass] at @s if block ~ ~ ~ minecraft:air if score @p Clicked matches 0 run setblock ~ ~ ~ red_stained_glass_pane

#robots lookin at playa
execute as @e[type=armor_stand,tag=robot] at @s run teleport @s ~ ~ ~ facing entity @p
function jam:robot/set_mood

#particles
execute as @e[type=minecraft:shulker,tag=!walkable] at @s run particle minecraft:ash ~ ~ ~ 0.2 0 0.2 1 2
#execute as @e[type=minecraft:armor_stand,tag=water] at @s run particle minecraft:cloud ~ ~1 ~ 0 0 0 0 1
#execute as @e[type=minecraft:armor_stand,tag=activater_yes] at @s run particle minecraft:cloud ~ ~1 ~ 0 0 0 0 1
#execute as @e[type=minecraft:armor_stand,tag=checkpoint_flag] at @s run particle minecraft:cloud ~ ~1 ~ 0 0 0 0 1
#execute as @e[type=minecraft:armor_stand,tag=checkpoint_flag] at @s run particle minecraft:cloud ~ ~1 ~ 0 0 0 0 1

#debug


